import { ComponentInstance } from "@stencil/core/dist/declarations";
declare type ClickOutsideDecorator = (target: ComponentInstance, propertyKey: string) => void;
/**
 * Call this function as soon as the click outside of annotated method's host is done.
 * @example
```
@ClickOutside()
callback() {
  // this will run when click outside of element (host component) is done.
}
```
 */
export declare function ClickOutside(): ClickOutsideDecorator;
/**
 * Call this function as soon as the click outside of annotated method's host is done.
 * @example
```
@ClickOutside()
callback() {
  // this will run when click outside of element (host component) is done.
}
```
 */
export declare function registerClickOutside(element: HTMLElement, callback: () => void): void;
export {};
